Loads a hosts file (in the same format as /etc/hosts) from hosts file

- « EventDnsBase::countNameservers

- EventDnsBase::parseResolvConf »

- PHP Manual
- EventDnsBase
- Loads a hosts file (in the same format as /etc/hosts) from hosts file

# EventDnsBase::loadHosts

(PECL event >= 1.2.6-beta)

EventDnsBase::loadHosts — Loads a hosts file (in the same format as /etc/hosts) from hosts file

### Description

public EventDnsBase::loadHosts( string `$hosts` ): bool

Loads a hosts file (in the same format as `/etc/hosts`) from hosts file.

### Parameters

`hosts`

  Path to the hosts' file.

### Return Values

Returns `true` on success or `false` on failure.